--Total de la venta 
    SELECT SUM(M.Total) as 'TotalV' FROM Movimientos M WHERE M.FechaB = '2020-03-20'  AND M.Activo = 1 AND M.TipoMovimiento not in (4,2) AND M.IdSucursal = 1 

--1. notas pagadas -> todo lo que pagaron completo del dia 
SELECT
    SUM(M.Anticipo) as 'PAGADO'
FROM
    Movimientos M
JOIN Ventas V ON M.Serie = V.Serie AND M.FolioVenta = V.FolioVenta
WHERE
    V.FechaBusq = '2020-03-20' AND M.Activo = 1 AND M.TipoMovimiento NOT IN (4, 2) AND M.IdSucursal = 1 AND V.EstadoPago = 2 AND V.TipoFolio = 1 

--2. notas con anticipo -> las que dejaron anticipo pero dejaron saldo pendiente (notas del mismo dia)
SELECT
    SUM(M.Anticipo)
FROM
    Movimientos M
JOIN Ventas V ON M.Serie = V.Serie AND M.FolioVenta = V.FolioVenta
WHERE
    V.FechaBusq = '2020-03-20' AND M.Activo = 1 AND M.TipoMovimiento NOT IN (4, 2) AND M.IdSucursal = 1 AND V.EstadoPago = 1 AND V.TipoFolio = 1


--3. saldos cobrados -> todo el pago de las ordenes de otro dia
SELECT
    SUM(M.Anticipo)
FROM
    Movimientos M
JOIN Ventas V ON
    M.Serie = V.Serie AND M.FolioVenta = V.FolioVenta
WHERE
    M.FechaB = '2020-03-20' AND M.Activo = 1 AND M.TipoMovimiento NOT IN(4, 2) AND M.IdSucursal = 1  AND M.Anticipo > 0 AND M.TipoMovimiento = 3 AND V.FechaBusq != '2020-03-20' AND V.TipoFolio = 1

--4. cobranza total suma de todo
SELECT
    SUM(M.Anticipo)
FROM
    Movimientos M
JOIN Ventas V ON
    M.Serie = V.Serie AND M.FolioVenta = V.FolioVenta
WHERE
    M.FechaB = '2020-03-20' AND M.Activo = 1 AND M.TipoMovimiento NOT IN(4, 2) AND M.IdSucursal = 1  AND M.Anticipo > 0  AND V.TipoFolio = 1

/*5. venta mostrador -> entrada de las notas con folio NVC*/
SELECT
    SUM(M.Anticipo)
FROM
    Movimientos M
JOIN Ventas V ON
    M.Serie = V.Serie AND M.FolioVenta = V.FolioVenta
WHERE
    M.FechaB = '2020-03-20' AND M.Activo = 1 AND M.TipoMovimiento NOT IN(4, 2) AND M.IdSucursal = 1  AND M.Anticipo > 0  AND V.TipoFolio = 2

-- COBRANZA TOTAL --
SELECT
    SUM(M.Anticipo)
FROM
    Movimientos M
JOIN Ventas V ON
    M.Serie = V.Serie AND M.FolioVenta = V.FolioVenta
WHERE
    M.FechaB = '2020-03-20' AND M.Activo = 1 AND M.TipoMovimiento NOT IN(4, 2) AND M.IdSucursal = 1  AND M.Anticipo > 0  

--6. Saldo pendiente -> de las ordenes del dia
SELECT
    SUM(M.Saldo)
FROM
    Movimientos M
JOIN Ventas V ON
    M.Serie = V.Serie AND M.FolioVenta = V.FolioVenta
WHERE
    M.FechaB = '2020-03-20' AND M.Activo = 1 AND M.TipoMovimiento NOT IN(4, 2) AND M.IdSucursal = 1  AND M.Saldo > 0 AND V.TipoFolio = 1


--7. Agregar en el listado un boton que diga FACTURAR (cambiar a facturado)********
Listo

--
SELECT
    IFNULL(SUM(M.Anticipo),0) as 'Facturas'
FROM
    Movimientos M
JOIN Ventas V ON M.Serie = V.Serie AND M.FolioVenta = V.FolioVenta
WHERE
    V.FechaBusq = '2020-05-17' AND M.Activo = 1 AND M.TipoMovimiento NOT IN (4, 2) AND M.IdSucursal = 1 AND V.EstadoPago = 2 AND V.TipoFolio = 1 AND V.EdoFact = 1

--8. total factura venta mostrador -> Cobranza total - facturas emitidas

--9. TOtal a depositar -> efectivo - tarjetas y depositos

--10. Categoria en egresos y dejar la descripcion escrita*****
SELECT 
SUM(CASE WHEN TipoEgreso = 1 THEN Total ELSE 0 END) AS 'Retiro',
SUM(CASE WHEN TipoEgreso = 2 THEN Total ELSE 0 END) AS 'Depositos',
SUM(CASE WHEN TipoEgreso = 3 THEN Total ELSE 0 END) AS 'Paqueteria',
SUM(CASE WHEN TipoEgreso = 4 THEN Total ELSE 0 END) AS 'Propinas',
SUM(CASE WHEN TipoEgreso = 5 THEN Total ELSE 0 END) AS 'Insumos',
SUM(CASE WHEN TipoEgreso = 6 THEN Total ELSE 0 END) AS 'Agua',
SUM(CASE WHEN TipoEgreso = 7 THEN Total ELSE 0 END) AS 'Varios',
SUM(CASE WHEN TipoEgreso = 8 THEN Total ELSE 0 END) AS 'Basura',
SUM(CASE WHEN TipoEgreso = 9 THEN Total ELSE 0 END) AS 'Otros',
SUM(CASE WHEN TipoEgreso > 0 THEN Total ELSE 0 END) AS 'Egresos'
FROM `Movimientos` WHERE TipoMovimiento = 2 and FechaB = '2020-03-20' AND M.Activo = 1 AND M.IdSucursal = 1
--11. Posicion de efectivo -> lo que queda en el arqueo  (Total Arqueo)

--12. Diferencia -> Diferencia en arqueo


-- ACTUALIZAR DESCRIPCION DE MOVIMIENTOS EGRESOS
UPDATE `Movimientos` SET TipoEgreso = 1  WHERE Descripcion like UPPER('%RETIRO%') OR Descripcion like UPPER('%LALO%') OR Descripcion like UPPER('%EDUARDO%') AND TipoMovimiento = 2;

-- PAQUETERIAS
UPDATE `Movimientos` SET TipoEgreso = 3 WHERE Descripcion like UPPER('%PAQ%') OR Descripcion like UPPER('%EXPRESS%') AND TipoMovimiento = 2;

-- DEPOSITOS
UPDATE  `Movimientos` SET TipoEgreso = 2  WHERE (Descripcion like UPPER('%DEPOSITOS%') OR Descripcion like UPPER('%DEP%') OR Descripcion like UPPER('%CUL%') OR Descripcion like UPPER('%VOU%')) AND TipoMovimiento = 2;

-- PROPINAS
UPDATE `Movimientos` SET TipoEgreso = 4  WHERE (Descripcion like UPPER('%PROP%') ) AND TipoMovimiento = 2;

-- AGUA HIELo
UPDATE Movimientos SET TipoEgreso = 6 WHERE (Descripcion like UPPER('%AGUA%') OR Descripcion like UPPER('%HIELO%') ) AND TipoMovimiento = 2;

--BASURA,
UPDATE Movimientos SET TipoEgreso = 8 WHERE (Descripcion like UPPER('%BAS%') OR Descripcion like UPPER('%BASURA%') ) AND TipoMovimiento = 2;